Paketabhängigkeiten

Dieses Thema im Forum "Linux OS" wurde erstellt von Kohtachan, 07.06.2011.

  1. #1 Kohtachan, 07.06.2011
    Kohtachan

    Kohtachan Mitglied

    Dabei seit:
    27.02.2011
    Beiträge:
    28
    Zustimmungen:
    0
    Ort:
    /home/koblenz
    Hallo zusammen

    kurze Frage :)
    Wenn ich ich ein .deb Paket installieren will, wie bekomme ich dann raus welche Anhängigkeiten es hat. Meine bei dem Befehl dpkg -i. Apt löst sich diese ja selber auf.

    Wie sieht aus beim Sourcecode den ich mit make kompiliere? Habe gesehen, das ./configure mir schon zeigt was ich genau an Abhängigkeiten brauche. Nur finde ich diese nicht in den Paketen mit Apt. Beispiel wurde mir als Abhängigkeit libcurl gezeigt. Wo bekomme ich das denn dann her?

    Gruß Leo
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. nighT

    nighT Guest

    dpkg -i zeigt, im Falle von fehlenden Abhängigkeiten, die benötigten Pakete an.

    Bei ./configure werden oft nur einzelne "Teile" eines Paketes angezeigt. Meistens hilft entweder ein bisschen googlen oder per "apt-cache search xyz" zu suchen.
    Für dein libcurl gibt's zum Beispiel folgende Ergebnisse:
    Code:
    srv1:~# apt-cache search libcurl
    libcurl3-dbg - libcurl compiled with debug symbols
    libcurl4-gnutls-dev - Development files and documentation for libcurl (GnuTLS)
    libcurl4-openssl-dev - Development files and documentation for libcurl (OpenSSL)
    gimp-libcurl - libcurl URI plugin for GIMP
    liblua5.1-curl-dev - libcURL development files for the lua language version 5.1
    liblua5.1-curl0 - libcURL bindings for the lua language version 5.1
    libwww-curl-perl - Perl bindings to libcurl
    libcurl-ocaml-dev - OCaml libcurl bindings
    libcurl-ocaml - OCaml curl bindings
    python-pycurl-dbg - Python bindings to libcurl (debug extension)
    python-pycurl - Python bindings to libcurl
    tclcurl - Tcl bindings to libcurl
    wmget - Background download manager in a Window Maker dock app
    libcurl3 - Bibliothek für Multiprototokoll-Dateitransfer (OpenSSL)
    libcurl3-gnutls - Bibliothek für Multiprototokoll-Dateitransfer (GnuTLS)
    libghttp-dev - Ursprüngliche GNOME HTTP-Client Bibliothek - Entwicklungskit
    
    Da kommt es nun wieder drauf an, welche libcurl-Version du benötigst. Das sollte allerdings ebenfalls in der Ausgabe zu erkennen sein.
     
  4. #3 Kohtachan, 07.06.2011
    Kohtachan

    Kohtachan Mitglied

    Dabei seit:
    27.02.2011
    Beiträge:
    28
    Zustimmungen:
    0
    Ort:
    /home/koblenz
    Danke schonmal für die Antwort

    Bricht dpkg dann den Vorgang ab oder installiert er schon einen Teil der anderen Pakete?
     
  5. nighT

    nighT Guest

    dpkg wird den Vorgang abbrechen. Um die Installation der benötigten Pakete wirst du dich in diesem Fall selbst kümmern müssen.
     
  6. #5 Kohtachan, 07.06.2011
    Kohtachan

    Kohtachan Mitglied

    Dabei seit:
    27.02.2011
    Beiträge:
    28
    Zustimmungen:
    0
    Ort:
    /home/koblenz
    OK Supi danke dir :)
     
Thema:

Paketabhängigkeiten

Die Seite wird geladen...

Paketabhängigkeiten - Ähnliche Themen

  1. Probleme mit den Paketabhängigkeiten

    Probleme mit den Paketabhängigkeiten: Hi, ich habe totale Probleme mit den Paketabhängigkeiten unter Suse :( Habe die 10.0er Version inkl. Plesk von Strato installiert. Es sind im...
  2. Paketabhängigkeiten SuSE 9.0 zu 9.1

    Paketabhängigkeiten SuSE 9.0 zu 9.1: Ist es möglich Pakete der SuSE 9.1 Distro auf die SuSE 9.0 Distro zu installieren. Dies interessiert mich zwecks Kernel bauen und Updates. Tja...